<?php
/*
Plugin Name: Visual Sticky Footer
Plugin URI: http://reallycheaphealthinsurance.com/plugins/
Description: Allows you to display one or several different sticky footers on your site. You can have a different sticky footer on a page, post, and or category (or a unified sticky footer for the entire website). Each sticky footer will follow the user as he or she scrolls down the page. 
Version: 1.0
Author: ReallyCheapHealthInsurance.com
Author URI: http://reallycheaphealthinsurance.com
*/
session_start();


require_once(dirname(__FILE__)."/sf_unzip_functions.php");


class Sticky_Footer
{

	var $errormesg = "";
	var $successMesg_uploaded = "";
	var $successMesgDispSettings = "";	
	var $sucessMesgOrderIcons = "";
	var $plsupdatefootertitle = "";
	var $sfooter_update_error = "";
	
	
	function install()
	{
		global $wpdb;
		
		update_option('wtravel_dispsetting','Site');
		update_option('wtravel_dispOnWhat',"");
		
		
		$sqlInstall1 = "CREATE TABLE `sfooters_footer_icons` (".
		  "`id` int(11) NOT NULL auto_increment,".
		  "`icon_id` int(11) NOT NULL,".
		  "`footer_id` int(11) NOT NULL,".
		  "`iconorder` int(11) NOT NULL,".
		  "`iconurl` varchar(200) NOT NULL,".
		  "`message` varchar(200) NOT NULL,".
		  "PRIMARY KEY  (`id`)".
		")";
		$wpdb->query($sqlInstall1 );
	
		$sqlInstall2 = "CREATE TABLE `wp_travel_icons` (".
  			"`id` int(11) NOT NULL auto_increment,".
		  "`wp_title` varchar(100) NOT NULL,".
		  "`wp_category` varchar(50) NOT NULL,".
		  "`image_icon` varchar(100) NOT NULL,".
		  "`active` int(11) NOT NULL default '0',".
		  "`message` varchar(150) NOT NULL,".
		  "`iconurl` varchar(255) NOT NULL,".
		  "`iconorder` int(11) NOT NULL,".
		  "PRIMARY KEY  (`id`))";
		
		$wpdb->query($sqlInstall2 );
		
		
		
		
		
		
		$sqlInstall3 = "INSERT INTO `wp_travel_icons` (`id`, `wp_title`, `wp_category`, `image_icon`, `active`, `message`, `iconurl`, `iconorder`) VALUES ".
		"(2, 'Test 2', 'Tra', 'icon2.gif', 1, 'Rooms', 'http://www.yahoio.com', 7),".
		"(3, 'Test 3', 'Tra', 'icon3.gif', 1, 'Shopping', 'http://www.msn.com', 1),".
		"(6, ' ', '', '', 0, '', '', 0),".
		"(7, ' ', '', '', 0, '', '', 0),".
		"(8, ' ', '', '', 0, '', '', 0),".
		"(9, ' ', '', '', 0, '', '', 0),".
		"(10, ' ', '', '', 0, '', '', 0),".
		"(11, '', 'Bus', 'highlight.gif', 0, '', '', 3),".
		"(12, ' ', 'Tra', 'mobile-friendly.gif', 1, '', '', 6),".
		"(14, '', 'Bus', 'store-hours.gif', 0, '', '', 2),".
		"(23, ' ', 'Tra', 'signs.gif', 0, '', '', 0),".
		"(24, ' ', 'Tra', 'car-insurance.gif', 0, '', '', 0),".
		"(25, ' ', 'Tra', 'gps.gif', 0, '', '', 0),".
		"(26, ' ', 'Tra', 'map.gif', 0, '', '', 0),".
		"(27, ' ', 'Tra', 'motorcycle-insurance.gif', 0, '', '', 0),".
		"(28, ' ', 'Tra', 'petroleum.gif', 0, '', '', 0),".
		"(29, ' ', 'Tra', 'signs.gif', 0, '', '', 0),".
		"(30, ' ', 'Tra', 'tram.gif', 0, '', '', 0),".
		"(31, ' ', 'Tra', 'travel-insurance.gif', 0, '', '', 0),".
		"(32, ' ', 'Tra', 'world-flag.gif', 0, '', '', 0),".
		"(33, '', 'Bus', 'advanced-search.gif', 1, '', '', 0),".
		"(34, '', 'Bus', 'call-us.gif', 0, '', '', 0),".
		"(35, '', 'Bus', 'credit-cards.gif', 0, '', '', 0),".
		"(36, '', 'Bus', 'email.gif', 0, '', '', 0),".
		"(37, '', 'Bus', 'files.gif', 0, '', '', 0),".
		"(38, '', 'Bus', 'folders.gif', 0, '', '', 0),".
		"(39, '', 'Bus', 'graphs.gif', 0, '', '', 0),".
		"(40, '', 'Bus', 'local-machine.gif', 0, '', '', 0),".
		"(41, '', 'Bus', 'point-and-click.gif', 0, '', '', 0),".
		"(42, '', 'Bus', 'print-document.gif', 1, '', '', 0),".
		"(43, '', 'Bus', 'scanned-document.gif', 0, '', '', 0),".
		"(44, '', 'Bus', 'store-hours.gif', 0, '', '', 0),".
		"(45, '', 'Bus', 'taxes.gif', 0, '', '', 0),".
		"(46, '', 'Bus', 'trash.gif', 0, '', '', 0),".
		"(47, '', 'Bus', 'white-papers.gif', 0, '', '', 0),".
		"(49, ' ', 'Mis', 'auto-insurance.gif', 0, '', '', 0),".
		"(50, ' ', 'Mis', 'back.gif', 0, '', '', 0),".
		"(51, ' ', 'Mis', 'christmas-bell.gif', 0, '', '', 0),".
		"(52, ' ', 'Mis', 'fuel-gauge.gif', 0, '', '', 0),".
		"(53, ' ', 'Mis', 'laptop.gif', 0, '', '', 0),".
		"(54, ' ', 'Mis', 'life-saving-insurance.gif', 0, '', '', 0),".
		"(55, ' ', 'Mis', 'light-off.gif', 0, '', '', 0),".
		"(56, ' ', 'Mis', 'light-on.gif', 0, '', '', 0),".
		"(57, ' ', 'Mis', 'machine.gif', 0, '', '', 0),".
		"(58, ' ', 'Mis', 'monitor.gif', 0, '', '', 0),".
		"(59, ' ', 'Mis', 'next.gif', 0, '', '', 0),".
		"(60, ' ', 'Mis', 'paper-clip.gif', 0, '', '', 0),".
		"(61, ' ', 'Mis', 'phone-book.gif', 0, '', '', 0),".
		"(62, ' ', 'Mis', 'puzzle-piece.gif', 0, '', '', 0),".
		"(63, ' ', 'Mis', 'rainy-day-insurance.gif', 0, '', '', 0),".
		"(64, ' ', 'Mis', 'rubbish-bin.gif', 0, '', '', 0),".
		"(65, ' ', 'Mis', 'ruler.gif', 0, '', '', 0),".
		"(66, ' ', 'Mis', 'secure.gif', 0, '', '', 0),".
		"(67, ' ', 'Mis', 'temp-gauge.gif', 0, '', '', 0),".
		"(68, ' ', 'Mis', 'tire.gif', 0, '', '', 0),".
		"(69, ' ', 'Mis', 'traffic.gif', 0, '', '', 0),".
		"(70, ' ', 'Mis', 'unsecure.gif', 0, '', '', 0),".
		"(71, ' ', 'Blog', 'archive.gif', 0, '', '', 0),".
		"(72, ' ', 'Blog', 'blogroll.gif', 0, '', '', 0),".
		"(73, ' ', 'Blog', 'calendar.gif', 0, '', '', 0),".
		"(74, ' ', 'Blog', 'comments.gif', 0, '', '', 0),".
		"(75, ' ', 'Blog', 'contact.gif', 0, '', '', 0),".
		"(76, ' ', 'Blog', 'drawings.gif', 0, '', '', 0),".
		"(77, ' ', 'Blog', 'highlight.gif', 0, '', '', 0),".
		"(78, ' ', 'Blog', 'home.gif', 0, '', '', 0),".
		"(79, ' ', 'Blog', 'lists.gif', 0, '', '', 0),".
		"(80, ' ', 'Blog', 'local-time.gif', 0, '', '', 0),".
		"(81, ' ', 'Blog', 'mobile-friendly.gif', 0, '', '', 0),".
		"(82, ' ', 'Blog', 'newsletter.gif', 0, '', '', 0),".
		"(83, ' ', 'Blog', 'posts.gif', 0, '', '', 0),".
		"(84, ' ', 'Blog', 'print.gif', 0, '', '', 0),".
		"(85, ' ', 'Blog', 'search.gif', 0, '', '', 0),".
		"(86, ' ', 'Blog', 'sticky.gif', 0, '', '', 0),".
		"(87, ' ', 'Blog', 'sync.gif', 0, '', '', 0),".
		"(88, '', 'Ins', 'blue-arrow.gif', 1, '', '', 0),".
		"(89, '', 'Ins', 'blue-badge.gif', 0, '', '', 0),".
		"(90, '', 'Ins', 'blue-buttons.gif', 0, '', '', 0),".
		"(91, '', 'Ins', 'blue-radio.gif', 0, '', '', 0),".
		"(92, '', 'Ins', 'blue-recycle.gif', 0, '', '', 0),".
		"(93, '', 'Ins', 'blue-reel.gif', 0, '', '', 0),".
		"(94, '', 'Ins', 'blue-star.gif', 0, '', '', 0),".
		"(95, '', 'Ins', 'blue-volume.gif', 0, '', '', 0),".
		"(96, '', 'Ins', 'blue-x.gif', 0, '', '', 0),".
		"(97, '', 'Ins', 'brown-arrow.gif', 0, '', '', 0),".
		"(98, '', 'Ins', 'brown-date.gif', 0, '', '', 0),".
		"(99, '', 'Ins', 'brown-film.gif', 0, '', '', 0),".
		"(100, '', 'Ins', 'brown-headphones.gif', 0, '', '', 0),".
		"(101, '', 'Ins', 'brown-info.gif', 0, '', '', 0),".
		"(102, '', 'Ins', 'brown-lock.gif', 0, '', '', 0),".
		"(103, '', 'Ins', 'brown-rss.gif', 0, '', '', 0),".
		"(104, '', 'Ins', 'brown-save.gif', 0, '', '', 0),".
		"(105, '', 'Ins', 'brown-scissors.gif', 0, '', '', 0),".
		"(106, '', 'Ins', 'brown-star.gif', 0, '', '', 0),".
		"(107, '', 'Ins', 'green-arrow.gif', 0, '', '', 0),".
		"(108, '', 'Ins', 'green-camera.gif', 0, '', '', 0),".
		"(109, '', 'Ins', 'green-heart.gif', 0, '', '', 0),".
		"(110, '', 'Ins', 'green-key.gif', 0, '', '', 0),".
		"(111, '', 'Ins', 'green-note.gif', 0, '', '', 0),".
		"(112, '', 'Ins', 'green-people.gif', 0, '', '', 0),".
		"(113, '', 'Ins', 'green-phone.gif', 0, '', '', 0),".
		"(114, '', 'Ins', 'green-pie-graph.gif', 0, '', '', 0),".
		"(115, '', 'Ins', 'green-talk.gif', 0, '', '', 0),".
		"(116, '', 'Ins', 'orange-check-mark.gif', 0, '', '', 0),".
		"(117, '', 'Ins', 'orange-disc.gif', 0, '', '', 0),".
		"(118, '', 'Ins', 'orange-fire.gif', 0, '', '', 0),".
		"(119, '', 'Ins', 'orange-globe.gif', 0, '', '', 0),".
		"(120, '', 'Ins', 'orange-graph.gif', 0, '', '', 0),".
		"(121, '', 'Ins', 'orange-house.gif', 0, '', '', 0),".
		"(122, '', 'Ins', 'orange-light-bulb.gif', 0, '', '', 0),".
		"(123, '', 'Ins', 'orange-magnifier.gif', 0, '', '', 0),".
		"(124, '', 'Ins', 'orange-network.gif', 0, '', '', 0),".
		"(125, '', 'Ins', 'orange-phone.gif', 0, '', '', 0),".
		"(126, '', 'Ins', 'orange-umbrella.gif', 0, '', '', 0),".
		"(127, '', 'Ins', 'orange-unsecure.gif', 0, '', '', 0),".
		"(128, '', 'Ins', 'purple-address-book.gif', 0, '', '', 0),".
		"(129, '', 'Ins', 'purple-case.gif', 0, '', '', 0),".
		"(130, '', 'Ins', 'purple-earth.gif', 0, '', '', 0),".
		"(131, '', 'Ins', 'purple-justice.gif', 0, '', '', 0),".
		"(132, '', 'Ins', 'purple-mail.gif', 0, '', '', 0),".
		"(133, '', 'Ins', 'purple-phone.gif', 0, '', '', 0),".
		"(134, '', 'Ins', 'purple-refresh.gif', 0, '', '', 0),".
		"(135, '', 'Ins', 'purple-refresh2.gif', 0, '', '', 0),".
		"(136, '', 'Ins', 'purple-trash.gif', 0, '', '', 0)";
				
		$wpdb->query($sqlInstall3 );

		
			$sqlInstall4 = "CREATE TABLE `sf_sticky_footers` (".
		  "`id` int(11) NOT NULL auto_increment,".
		  "`dispmode` varchar(15) NOT NULL,".
		  "`title` varchar(150) NOT NULL,".
		  "`disponwhat` int(11) NOT NULL,".
		  "`hire_message` varchar(200) NOT NULL,".
		  "`urlformesg` varchar(200) NOT NULL,".
		  "`footer_color` varchar(10) NOT NULL,".
		  "`rssfeed` varchar(200) NOT NULL,".
		  "`plugin_credit` varchar(4) NOT NULL,".
		  "`footer_on` varchar(10) NOT NULL,".
		  "PRIMARY KEY  (`id`)".
		")";
		
		$wpdb->query($sqlInstall4 );

		
	}
	function displayuploadDir($url)
	{
		
		//echo "------------<pre>".print_r($url) . "</pre>---------";
		return dirname(__FILE__)."/icons";
		//return 
	
	
	}
	function initialize()
	{
		
		global $wpdb;
		global $error;
		
		
		 
		 
		//add_filter("upload_dir",array($this,"displayuploadDir"));
		
		if(trim($_POST['submit_updateorder'])!="")
		{
			
			if($_SESSION['current_selected_sf'] != "")
			{
				
				$currentfooter =  $_SESSION['current_selected_sf'];

				$wpdb->query("UPDATE sfooters_footer_icons set  iconorder = 0 WHERE footer_id=".$currentfooter);
	
				$iconslist = $_POST['icon_order'];
				///print_r($iconslist);
				
				
				if(is_array($iconslist))
				{
					//echo "Session::".$_SESSION['current_selected_sf']."=====";	
					foreach($iconslist as $iconId => $OrderNum)	
					{	
						//echo "<br/>Session:-----:".$_SESSION['current_selected_sf']."=====" .$iconId ." -- ".$OrderNum ;					
						if(trim($OrderNum) != "")
						{
							$sqlll ="UPDATE sfooters_footer_icons  set  iconorder =  ". $OrderNum ." WHERE footer_id=".$currentfooter." AND icon_id=".$iconId;
							//echo $sqlll."<br/>";
							$wpdb->query( $sqlll );
	
						}
						
					}
					
					$this->sucessMesgOrderIcons = "Options updated";	
					
				}
				
			}else
			{
				$this->plsupdatefootertitle = "Pleae update the sticky footer title first!";

			
			}
			
		}else if(trim($_POST['Submit_dispOptions']) !="")
		{
			
			$displayMode = $_POST['rdoClosureMode'];
			$diplaySelected = $_POST['ddlOption_cs'];
			
			
			/*
			
			update_option('wtravel_dispsetting',$displayMode);
			update_option('wtravel_dispOnWhat',$diplaySelected);
			
			update_option('hire_message', $_POST['hire_message']);
			update_option('hire_message_url', $_POST['hire_message_url']);
			
			update_option('hire_feed', $_POST['hire_feed']);
			update_option('hire_colour',$_POST['hire_colour']);

			update_option('wtravel_chkStickyOn',$_POST['chkStickyOn']);
			update_option('wtravel_chkPluginCredit',$_POST['chkPluginCredit']);

			*/
			
			// insert all display settings values for this particula sticky footer. 
			// if edit mode, update, else insert 
			
			
			
			
			$datas=array(

				  'dispmode' => $displayMode,
				  'title' =>$_POST['txt_footertitle'],
				  'disponwhat' => $diplaySelected,
				  'hire_message' => $_POST['hire_message'],
				  'urlformesg' => $_POST['hire_message_url'],
				  'footer_color' => $_POST['hire_colour'],
				  'rssfeed' => $_POST['hire_feed'],
				  'plugin_credit' => $_POST['chkPluginCredit'],
				  'footer_on' =>$_POST['chkStickyOn']
			);
				
			if(isset($_POST['sf_hid_footerid']) && $_POST['sf_hid_footerid']!="")
			{
			
				//check if any other sticky footer is already exists with this configutation.
				$sqlgeticonslist="SELECT * FROM sf_sticky_footers WHERE dispmode ='".$displayMode."' AND disponwhat='". $diplaySelected ."' AND id <> ".$_POST['sf_hid_footerid'] ;
				$listallsfs = $wpdb->get_results($sqlgeticonslist,ARRAY_A);

				if(is_array($listallsfs) && @count($listallsfs) >0 )
				{
					$this->sfooter_update_error = "Another Sticky Footer already exists with this display configuration, please try another.";
					
				}else
				{
					// do the update code
					$conditon = array("id" => $_POST['sf_hid_footerid']);
					$wpdb->update( "sf_sticky_footers" , $datas, $conditon );
					$_SESSION['current_selected_sf'] = 	$_POST['sf_hid_footerid'];
					$this->successMesgDispSettings = "Updated the options";
				}
			}else
			{
			
				//check if any other sticky footer is already exists with this configutation.
				$sqlgeticonslist="SELECT * FROM sf_sticky_footers WHERE dispmode ='".$displayMode."' AND disponwhat='". $diplaySelected ."'";
				$listallsfs = $wpdb->get_results($sqlgeticonslist,ARRAY_A);

				if(is_array($listallsfs) && @count($listallsfs) >0 )
				{

					$this->sfooter_update_error = "Another Sticky Footer already exists with this display configuration, please try another.";
					
				}else
				{
					// do the insertion
					$wpdb->insert("sf_sticky_footers",$datas);
					$insertfid = $wpdb->insert_id;	
					$_SESSION['current_selected_sf'] = $insertfid;

					$this->successMesgDispSettings = "Updated the options";	
				}	
			}	
			
			
		}else if(isset($_POST['Submit_iconadd']) && trim($_POST['Submit_iconadd']) == "Upload")
		{
		
			
	
			/*if(trim($_POST['Textmessage']) =="")
			{
				$this->errormesg .= " Please Enter a title <br/>";
			}
			*/
			
			if(trim($_POST['category']) =="")		
			{
				$this->errormesg .="please select the category<br/>";
			}
			
			if(($_FILES['image']['name']) =="")
			{
				$this->errormesg .="please select the image<b/>";
			}
			
			$uploadsData =  array();

			if($this->errormesg == "")
			{
			
				// upload the image / zip file 
				//-----------------------------------
				if (is_writable($uploads['path']))
				{
					
					$uploadfile=true;
				}
				$url=$uploads['url'];
				
				$upload=$_FILES['image'];
				
				if (!empty($upload['tmp_name']) || !empty($url))
				{
					// if file uploaded
					//echo $upload['type']."----"."<br/>";
					//exit;
					
					if ($upload['tmp_name'])
					{
						if($upload['type'] == "image/jpg" || $upload['type'] == "image/jpeg" || $upload['type'] == "image/gif" || $upload['type'] == "image/png")
						{
							$datas=array(

								//"wp_title"=>$_POST['Textmessage'],
								"wp_title"=>' ',					
								"wp_category"=>$_POST['category'],
								"image_icon"=>$upload['name']								
								);
				
							$wpdb->insert("wp_travel_icons",$datas);
							$insertid = $wpdb->insert_id;	
				
							move_uploaded_file($_FILES['image']['tmp_name'],dirname(__FILE__)."/icons/".$insertid."_".$upload['name']);
							//$uploadsData[0]["iconname"] = $upload['name'] ;
										

						}	
						else if($upload['type'] == "application/octet-stream")
						{
						
							$basename =  basename($upload['name']);
							$fileExp =  explode(".",trim($basename));
							
							if(strtolower($fileExp[(count($fileExp)-1)]) == "zip")
							{
								
								
							
								move_uploaded_file($upload['tmp_name'], dirname(__FILE__)."/zipfiles/temp/".$upload['name']);
								
								//echo $upload['tmp_name']."---".dirname(__FILE__)."/zipfiles/temp/".$upload['name'];
							
								$objsf_zip =  new sf_zip_pack();
								
								$objsf_zip->extractZip(dirname(__FILE__)."/zipfiles/temp/".$upload['name'], dirname(__FILE__)."/zipfiles/temp_d/");
								
								$zipfileInfos = $objsf_zip->infosZip(dirname(__FILE__)."/zipfiles/temp/". $upload['name']);
								
								if(is_array($zipfileInfos))
								{
									//$ziploopcnt = 0;
									foreach($zipfileInfos as $fileptr => $properties)
									{
										
										if(is_file(dirname(__FILE__)."/zipfiles/temp_d/".$fileptr))
										{
											
											$basename1 =  basename($fileptr);
											$fileExp1 =  explode(".",trim($basename1));
											$fextension  = strtolower($fileExp1[(count($fileExp1)-1)]);
											if($fextension == "jpg" ||$fextension == "jpeg" || $fextension == "gif" || $fextension == "png")
											{
												$datas=array(

													//"wp_title"=>$_POST['Textmessage'],
													"wp_title"=>' ',					
													"wp_category"=>$_POST['category'],
													"image_icon"=>$basename1								
												);
												
												$wpdb->insert("wp_travel_icons",$datas);
												$insertid = $wpdb->insert_id;	
												copy(dirname(__FILE__)."/zipfiles/temp_d/" . $fileptr , dirname(__FILE__). "/icons/" . $insertid . "_" . $basename1 );
											}
											
										}
										
									}
									$objsf_zip->recursive_remove_directory(dirname(__FILE__)."/zipfiles/temp/",TRUE);
									$objsf_zip->recursive_remove_directory(dirname(__FILE__)."/zipfiles/temp_d/",TRUE);

									
								}

							}
							
						}	
					}
				}	
				
				
				//-----------------------------------
				
				$this->successMesg_uploaded = "Icon(s) uploaded. To see your icons visit List Icons.";
				//global $wpdb;
					
			}
		
		}else if(isset($_POST['submit_updateselected']) || isset($_POST['submit_updateselected1']))
		{
			
			
			if($_SESSION['current_selected_sf'] != "")
			{
				$currentfooter =  $_SESSION['current_selected_sf'];
				
				if($_POST['hidavalil_icons'] != "" )
						$hidavalil_icons1 =  explode("|", $_POST['hidavalil_icons']);
				
				$availIcons = array(); 
							
				
				foreach( $hidavalil_icons1  as $valll)
				{
					if(trim($valll)!="")
						$wpdb->query("DELETE FROM sfooters_footer_icons WHERE footer_id = ". $currentfooter ." AND icon_id = ".$valll);
					
				}
				foreach ($_POST['icon_text'] as $id =>$idval)
				{
					
					if(isset($_POST['ddl_actionMode'][$id]))
					{
						if($_POST['ddl_actionMode'][$id] == "display")
						{				
							$datas=array(

								//"wp_title"=>$_POST['Textmessage'],
								"icon_id"=>$id,					
								"footer_id"=>$currentfooter,
								"iconurl"=>$_POST['icon_url'][$id],
								"message"=>$_POST['icon_text'][$id],
								
							);
												
							$wpdb->insert("sfooters_footer_icons",$datas);
							//$wpdb->query("UPDATE sfooters_footer_icons  set  active =  1 WHERE id = $id ");
							
						}else if ($_POST['ddl_actionMode'][$id] == "delete")
						{
							$this->deleteIcon($id);
							
							
	
						}	
					}	
					
					//$wpdb->query("UPDATE wp_travel_icons set  wp_title = '" . $_POST['txttitle'][$id] . "', message= '" . $_POST['icon_text'][$id] . "', "
					
					//." iconurl = '" . $_POST['icon_url'][$id] . "' WHERE id= $id ");
					
				}
			}else
			{
				$this->plsupdatefootertitle = "Pleae update the sticky footer title first!";

			}	
			
		}
				
		$this->RegisterPluginOptionsPage();
		
		if($_GET['page'] == 'sticky-footer') 
		{
			add_action('admin_head', array($this,'my_action_javascript'));
		}		
		
		register_activation_hook(__FILE__, array(&$this,'install'));
		
		add_action('wp_ajax_wtravel_get_DisplayMode_options', array(&$this,'get_displayMode_options_callback'));
		add_action('wp_footer',  array(&$this,'display_available_for_hire'));
		add_filter( "the_content", array(&$this,"apply_wtravel_bar" ));
		
				
	}
	
	function extractZipContentes($zipfilename)
	{
		
		$zip = zip_open($zipfilename);
		if (is_resource($zip)) {
		  while ($zip_entry = zip_read($zip)) {
		    $fp = fopen("zip/".zip_entry_name($zip_entry), "w");
		    if (zip_entry_open($zip, $zip_entry, "r")) {
		      $buf = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
		      fwrite($fp,"$buf");
		      zip_entry_close($zip_entry);
		      fclose($fp);
		    }
		  }
		  zip_close($zip);
		}
		
	}
	
	function apply_wtravel_bar($content)
	{
	
	
	
	
		return $content;
	
	}
	
	function handle_image_upload($upload)
	{
	
		// check if image
		//if (file_is_displayable_image( $upload['tmp_name'] ))
		//{
		// handle the uploaded file
		
		$overrides = array('test_form' => false);
		$file = wp_handle_upload($upload, $overrides);
		
		//}
		return $file;
	}

	//---------------------------------------ADMIN  GUI FUNCTIONS START ----------------------------------------------
	
	
	
	function displayAddNewIconsForm()
	{
			
		global  $wpdb;
		if($_POST['category']!="")
		{
			$cat1=$_POST['category'];
		}
		
		
		$categoryarray=array(
			"Bus"=>"Business",
			"Blog"=>"Blogging",
			"Tra"=>"Travel",
			"Ins"=>"Buttons",

			"Mis"=>"Misc",
			"per"=>"Personal"
		);
		
		
		
		echo '
		<form method="post" action="" enctype="multipart/form-data"> 
			<div style="clear:both;"><h3>Upload New Icons</h3></div><table class="form-table"> 
			<tr><td colspan="2">
			You can upload icons (gif, jpg, and/or png) to different categories here. The icon will automatically be resized to fit in your sticky footer. You can upload a single icon, or if you have multiple icons you can upload all of them by creating a zip folder of your icons. 
<font color="red"><i>Tip: Creating a transparent backgrond for your icon(s) will provide the best viewing in your sticky footer.</i></font>
<br/><br/>';


			if (!is_writable(dirname(__FILE__).'/icons/'))
			{
				print '<div class="error"><p>Please ensure that the following directory is writable:<br><strong>' . dirname(__FILE__).'/icons/' . '<br/></strong><p></div>';
			}
			if (!is_writable(dirname(__FILE__).'/zipfiles/temp/'))
			{
				print '<div class="error"><p>Please ensure that the following directory is writable:<br><strong>' . dirname(__FILE__).'/zipfiles/temp/' . '</strong><p></div>';
			}
			if (!is_writable(dirname(__FILE__).'/zipfiles/temp_d/'))
			{
				print '<div class="error"><p>Please ensure that the following directory is writable:<br><strong>' . dirname(__FILE__).'/zipfiles/temp_d/' . '</strong><p></div>';
			}

			if(trim($this->errormesg) != "")
			{
				
				echo "<div id='message' class='error' style='min-height:20px;padding:5px;'>";
				echo $this->errormesg;
				echo "</div>";

			}
			if(trim($this->successMesg_uploaded) != "")
			{
				
				echo "<div id='message' class='updated' style='min-height:5px;padding:5px;'>";
				echo $this->successMesg_uploaded;
				echo "</div>";

			}
			
		echo '</td></tr>
			<!-- <tr valign="top"> 
			<th scope="row"><label for="blogname">Title</label></th> 
			<td><input name="Textmessage" type="text" style="width:300px;" id="Textmessage" value="'.$_POST['Textmessage'].'" class="regular-text" /></td> 
			</tr> 
			-->
			<tr valign="top">
			<th scope="row"><label for="blogcategory">Category</label></th>
			<td><select name="category">
			<option value="">select</option> ';
			
			 foreach($categoryarray as $key=>$cat)
				{
					//echo $cat1."$$$$$$$$".$key;
					
					$selected=' ';
					//$selected=$_POST['category'];
					if($cat1 == $key)
					{
						$selected ="selected";
						
					}
					echo '<option value="'.$key.'" '.$selected.'>'.$cat.'</option>';
								
				}
			
			
		echo'</select></td></tr><br>
			<tr valign="top">
			<th scope="row"><label for="blogname">Icon</label></th>
			<td><input name="image" type="file" /></td></tr>
			<tr valign="bottom">
			<th scope="row"></th>
				<td><p class="submit"> 
			<span style="float:left;margin-right:10px;"><input type="submit" name="Submit_iconadd" class="button-primary" value=" Upload " />
			 </span> <span style="float:left;"><a class="preview button" href="" id="post-preview" tabindex="4">Cancel</a> </span>
			 </p> </td>
			</table></form>';


	}	
	
	function displayOrderIconForm()
	{
		global $wpdb;
	?>
	
		<div style="clear:both;">
		<h3>Icon Arrangement</h3>
		<p>Arrange the order of the icons you want to show in your sticky footer. Icons are ordered from left-to-right and least-to-greatest in numbering (i.e. the number zero will be the farthest icon to the left).</p>
		<form method="post" action="" id="hire-conf">
		
			<table class="form-table">
				
				<tr valign="top" style="border-bottom:1px gray dotted;">
			<?php
					$currentfooter =  $_SESSION['current_selected_sf'];

				//$wpdb->query("UPDATE sfooters_footer_icons set  iconorder = 0 WHERE footer_id=".$currentfooter);

				$sqlgeticonslist="SELECT ti.id,ti.image_icon, fi.iconurl, fi.message, fi.iconorder  FROM sfooters_footer_icons fi  JOIN wp_travel_icons ti ON ti.id=  fi.icon_id WHERE footer_id=".$currentfooter;
				
				$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
				$availIcons = "";
				$row = 0;
				if(is_array($listall))
				foreach($listall as $icon=>$value) 
				{
					$availIcons .=  $listall[$icon]['id'] . "|";
				?>
					<td>
						<div style="float:left;clear:both; width:50px; ">Order:</div>
						<div style="float:left;"><input type=text size="6" maxlength="6" name="icon_order[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconorder']; ?>"></div>

						<div style="float:left;clear:both; width:50px;">URL:</div>
						<div style="float:left;"><?php echo $listall[$icon]['iconurl']; ?></div>
					
						<div style="float:left;clear:both; width:50px;">Text:</div>
						<div style="float:left;"><?php echo $listall[$icon]['message']; ?></div>
							
						<div style="float:left;clear:both; width:50px; margin-top:18px;">Icon:</div>
							
						<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															

					</td>
				<?php 
				//<div style=" display:table-cell; vertical-align:middle; float:left;clear:both;"></div>
				$row += 1;
				if($row % 4 == 0) echo "</tr><tr valign='top'>";
				//endforeach;
				} 
				?>	
				</tr>
			</table>
			<p class="submit"><input type="submit" name="submit_updateorder" value="<?php _e('Update Options &raquo;'); ?>" /></p>
		</form>

	


	<?php 
		
	}
	
	
	function displayIconsList($category)
	{
	
		global $wpdb;
		
		if (!is_writable(dirname(__FILE__).'/parser/'))
		{
			print '<div class="error"><p>Please ensure that the following directory is writable:<br><strong>' . dirname(__FILE__).'/parser/' . '</strong><p></div>';
		}
		if ($this->plsupdatefootertitle!="")
		{
			print '<div style="clear:both;"><div class="error"><p>'.$this->plsupdatefootertitle.'<p></div></div>';
		}
		?>
		
		
		<div style="clear:both;">
		<h3>Icons</h3>
		<p>Each tab is preloaded with icons you might want to show on your sticky footer. To activate an icon, simply choose the display mode of the icon and then select the update options button.</p>
		<?php if ( !empty($_POST ) && $this->plsupdatefootertitle == "" ) : ?>
			<div id="message" class="updated fade" ><p><strong><?php _e('Options saved.') ?></strong></p></div>
		<?php endif; ?>
		
		<div id="tabs_wtravel">
			<ul>
				<li><a href="#tabswt-1">Business</a></li>
				<li><a href="#tabswt-4">Blogging</a></li>
				<li><a href="#tabswt-2">Travel</a></li>
				<li><a href="#tabswt-3">Buttons</a></li>
				
				<li><a href="#tabswt-5">Misc</a></li>
				<li><a href="#tabswt-6">Personal </a></li>
				
				
			</ul>
			<?php 
			$iconAndCondition = "";
			$currentfooter =  $_SESSION['current_selected_sf'];
			if($currentfooter!="")
			{
				$iconAndCondition = " AND fi.footer_id=".$currentfooter;
			
			}
						
			
			
			?>
			
			<div id="tabswt-1">
				
				<form method="post" action="" id="hire-conf">
					<?php
						
						
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") WHERE wp_category='Bus' " ;
						
						//echo $sqlgeticonslist;
						
						
						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected1" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
					<table class="form-table">
						
						<tr valign="top">
					<?php
						$row = 0;
						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";
						?>
							<td  style="border-bottom:1px gray dotted;">
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>
								
								<!--<input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> >-->
								
								
								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
							</td>
						<?php 

						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">
					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
				</form>
			
			
			
			</div>
			  
			  
			<div id="tabswt-2">
				<form method="post" action="" id="hire-conf">
					<?php
							
						//$sqlgeticonslist="SELECT * FROM wp_travel_icons WHERE wp_category='Tra'";

						
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") WHERE wp_category='Tra' " ;

						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected1" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>

					<table class="form-table">
						<tr valign="top">
					<?php
							
						$row = 0;

						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";

						?>
							<td  style="border-bottom:1px gray dotted;">
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>

								<!--<input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> >-->
								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
								<!-- <br />Title :&nbsp;<input type=text name="txttitle[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['wp_title']; ?>">-->
								<!--<div style="float:left;clear:both; width:40px; margin-top:18px;"><a href="options-general.php?page=sticky-footer&action=delete&iid=<?php echo $listall[$icon]['id'] ;?>" onclick="javascript: return confirm('Are you sure to delete this Icon');">Delete</a></div>-->
							</td>
						<?php 
						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">

					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>

				</form>
				
			</div>
			
			
			<div id="tabswt-3">
				<form method="post" action="" id="hire-conf">
					<?php
							
						//$sqlgeticonslist="SELECT * FROM wp_travel_icons WHERE wp_category='Ins'";
						$currentfooter =  $_SESSION['current_selected_sf'];
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") ".
							" WHERE wp_category='Ins' " ;

						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected1" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>

					<table class="form-table">
						
						<tr valign="top">
					<?php
							
						$row = 0;

						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";
							
						?>
							<td  style="border-bottom:1px gray dotted;">
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>

								<!-- <input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> > -->
								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
								<!-- <br />Title :&nbsp;<input type=text name="txttitle[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['wp_title']; ?>">-->
								<!--<div style="float:left;clear:both; width:40px; margin-top:18px;"><a href="options-general.php?page=sticky-footer&action=delete&iid=<?php echo $listall[$icon]['id'] ;?>" onclick="javascript: return confirm('Are you sure to delete this Icon');">Delete</a></div>-->
							</td>
						<?php 
						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">

					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
				</form>
				
				
				
			</div>
			
			<div id="tabswt-4">
				<form method="post" action="" id="hire-conf">
					<?php
							
						//$sqlgeticonslist="SELECT * FROM wp_travel_icons WHERE wp_category='Blog'";
						$currentfooter =  $_SESSION['current_selected_sf'];
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") ".
							" WHERE wp_category='Blog' " ;


						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected1" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>

					<table class="form-table">
						
						<tr valign="top">
					<?php
							
						$row = 0;

						
						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";
							
						?>
							<td  style="border-bottom:1px gray dotted; " >
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>


								<!--	<input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> > -->
								
								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
								<!-- <br />Title :&nbsp;<input type=text name="txttitle[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['wp_title']; ?>">-->
								<!--<div style="float:left;clear:both; width:40px; margin-top:18px;"><a href="options-general.php?page=sticky-footer&action=delete&iid=<?php echo $listall[$icon]['id'] ;?>" onclick="javascript: return confirm('Are you sure to delete this Icon');">Delete</a></div>-->
							</td>
						<?php 
						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">

					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
				</form>

			</div>
			<div id="tabswt-5">
				<form method="post" action="" id="hire-conf">
					<?php
							
						//$sqlgeticonslist="SELECT * FROM wp_travel_icons WHERE wp_category='Mis'";
						$currentfooter =  $_SESSION['current_selected_sf'];
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") ".
							" WHERE wp_category='Mis' " ;

						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
					<?php 
					
						}			
					?>

					<table class="form-table">
						<tr valign="top">
					<?php
							
						$row = 0;
				
						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";
							
						?>
							<td  style="border-bottom:1px gray dotted;">
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>


								<!-- <input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> > -->

								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
								<!-- <br />Title :&nbsp;<input type=text name="txttitle[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['wp_title']; ?>">-->
								<!--<div style="float:left;clear:both; width:40px; margin-top:18px;"><a href="options-general.php?page=sticky-footer&action=delete&iid=<?php echo $listall[$icon]['id'] ;?>" onclick="javascript: return confirm('Are you sure to delete this Icon');">Delete</a></div>-->
							</td>
						<?php 
						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">

					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>
				</form>

			</div>
			<div id="tabswt-6">
				<form method="post" action="" id="hire-conf">
					<?php
							
						//$sqlgeticonslist="SELECT * FROM wp_travel_icons WHERE wp_category='per'";
						$currentfooter =  $_SESSION['current_selected_sf'];
						$sqlgeticonslist="SELECT fi.iconurl,	fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id ".					
							"FROM wp_travel_icons ti LEFT OUTER JOIN sfooters_footer_icons fi ON (ti.id = fi.icon_id ". $iconAndCondition .") ".						" WHERE wp_category='per' " ;

						$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);
						
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected1" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					
					<?php 
					
						}			
					?>

					<table class="form-table">
						<?php
						//echo count($listall);
						if(!@is_array($listall) || count($listall) <= 0 )
						{

					?>
						<tr>
							<td>
						
							The Personal Icon tab was created for you to add icons that don't belong in the other icon sections.
							<br/>
	Go to the "Upload New Icons" link above to add the icons you desire to have here or any of the other tabs.
						
							</td>
						</tr>
					
					<?php 
					
						}			
					?>


						
						
						<tr valign="top">
						
						
						
					<?php
							
						$row = 0;

						
						$availIcons = "";
						if(is_array($listall))
						foreach($listall as $icon=>$value) 
						{
							$availIcons .=  $listall[$icon]['id'] . "|";
							
					?>
								<td  style="border-bottom:1px gray dotted;">
								<div style="float:left;clear:both; width:40px; ">Mode:</div>
								<div style="float:left;">
								<select name="ddl_actionMode[<?php echo $listall[$icon]['id']; ?>]" >
									<option value="hide" <?php if($listall[$icon]['footer_id'] == "" ) echo 'selected="selected"'; ?>   >Hide</option>
									<option value="display" <?php if($listall[$icon]['footer_id'] != "") echo 'selected="selected"'; ?>>Display</option>
									<option value="delete" >Delete</option>																		
								</select>

								<!-- <input type=checkbox  name="chkspeciality[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['id']; ?>" <?php if($listall[$icon]['active']==1) echo "checked"; ?> > -->
								
								</div>

								<div style="float:left;clear:both; width:40px;">URL:</div>
								<div style="float:left;"><input type=text name="icon_url[<?php echo $listall[$icon]['id']; ?>]"  value="<?php echo $listall[$icon]['iconurl']; ?>"></div>
							
								<div style="float:left;clear:both; width:40px;">Text:</div>
								<div style="float:left;"><input type=text name="icon_text[<?php echo $listall[$icon]['id']; ?>]" value="<?php echo $listall[$icon]['message']; ?>"></div>
									
								<div style="float:left;clear:both; width:40px; margin-top:18px;">Icon:</div>
							
								<div style="float:left;"><img src="../wp-content/plugins/sticky-footer/icons/<?php echo   $listall[$icon]['id']."_".$listall[$icon]['image_icon']; ?>" height="55"></div>															
								
							</td>
							<?php 
						$row += 1;
						if($row % 4 == 0) echo "</tr><tr valign='top'>";
						//endforeach;
						} 
						?>	
						</tr>
					</table>
					<input type="hidden" name="hidavalil_icons" value="<?php echo $availIcons; ?> ">
					<?php
	
						if(@is_array($listall) && count($listall) > 0 )
						{

					?>
					
					<p class="submit"><input type="submit" name="submit_updateselected" value="<?php _e('Update Options &raquo;'); ?>" /></p>
					<?php 
					
						}			
					?>

				</form>

			</div>

	
		</div>

		
		</div>
		
		<?php
	
	
	}
	
	function showMasterMenu()
	{
		if($_GET['action'] =="listfooters")
		{
			$highlight_listfooters = 'class="current"';
		
		}else if($_GET['action'] =="addnewfooter" )
		{
			
			$highlight_addnewfooter = 'class="current"';
			
		}else if ($_GET['action'] == "instructions")
		{
		
			$highlight_instructions = 'class="current"';
		
		}

		//return ;
		echo '
			<form method="post" action=""> 
			<div style="clear:both;">
			<div class="stickyfooter_donatebox">
			We understand that not everyone is able to <a href="http://reallycheaphealthinsurance.com/donate/" target="__blank">donate</a>. Therefore, we also appreciate any reviews about the Visual Sticky Footer and/or links to <a href="http://reallycheaphealthinsurance.com/" target="__blank">our site</a>. 
			If you have ideas on how to improve our plugin please do not hesitate to <a href="http://reallycheaphealthinsurance.com/contact/" target="__blank">contact us</a>.
			</div>
			
			</div>
			<h2>Visual Sticky Footer </h2>
			<table width="100%" >
				<tr>
					<td width="100%" style="background-color:#999999;" >&nbsp;</td>
				</tr>
			</table>
			';
		
			
			echo '<ul class="subsubsub">
			<li><a href="options-general.php?page=sticky-footer&action=listfooters" '.$highlight_listfooters .' >List All </a> |</li>
			<li><a href="options-general.php?page=sticky-footer&action=addnewfooter" '.$highlight_addnewfooter .'>Add New</a> |</li>
			<li><a href="options-general.php?page=sticky-footer&action=instructions" '.$highlight_instructions .'>Instructions</a> </li>
			</ul>

			</form>			
			';
		
	
	}
	
	
	function showTopHeader()
	{
		global $wpdb;

		if($_GET['action'] =="addnew")
		{
			$highlight_new = 'class="current"';
		
		}else if($_GET['action'] =="dispsettings" || $_GET['action'] =="addnewfooter" )
		{
			
			$highlight_dispsettings = 'class="current"';
			
		}else if($_GET['action'] =="order")
		{
			$highlight_order = 'class="current"';
		
		}
		
		
		$subsectionHeading = "New Sticky Footer";
		
		if(($_SESSION['current_selected_sf'] != "" || $_GET['fid'] != '') && ($_GET['action'] != 'addnewfooter') )
		{
			$selectedFid  = ($_SESSION['current_selected_sf'] != "")?$_SESSION['current_selected_sf']:( ($_GET['fid']!= '')?$_GET['fid']:'');
			$sf_footers = $wpdb->get_results( "SELECT * FROM sf_sticky_footers WHERE id=" . $selectedFid ,ARRAY_A  );
			if(is_array($sf_footers ))
			foreach($sf_footers as $sch)
			{
				$footertitle = $sch['title'];
				$subsectionHeading = "Edit Sticky Footer (" .$footertitle .")";
			}
		}	
		
		
		echo '
			<form method="post" action=""> 

			<div style="clear:both;">
			<table width="100%" >
				<tr>
					<td width="100%" style="background-color:#D3D3D3; height :25px; padding:5px 0 5px 2px; text-align:left;" ><strong> '. $subsectionHeading .'</strong></td>
				</tr>
			</table></div>
			';
			if(trim($this->sucessMesgOrderIcons) != "")
			{
				
				echo "<div id='message' class='updated' style='min-height:5px;padding:5px;'>";
				echo $this->sucessMesgOrderIcons;
				echo "</div>";

			}
			
			echo '<ul class="subsubsub">
			<li><a href="options-general.php?page=sticky-footer&action=dispsettings" '.$highlight_dispsettings.'>Settings </a> |</li>
			<li><a href="options-general.php?page=sticky-footer&action=list&cat=Bus" '.$highlight_list.' >Icon Lists </a> |</li>
			<li><a href="options-general.php?page=sticky-footer&action=addnew" '.$highlight_new.'>Upload New Icons  </a> |</li>
			<li><a href="options-general.php?page=sticky-footer&action=order" '.$highlight_order.'>Icon Arrangement </a> </li>
			</ul>
			

			</form>			
			';
			
	
	}
	
	
	
	function shoInstructionsPage()
	{
	
		echo '
		<form name="frmDisplayoptions" method="post">
		<div style="clear:both;"><h3>Instructions</h3></div>
			<table class="form-table"> ';
		
		echo '
		<tr>
			
			<td><i><center>"The marvelous richness of human experience would lose something of rewarding joy if there were no limitations to overcome. <br>The hilltop hour would not be half so wonderful if there were no dark valleys to traverse." <br>~Helen Keller</center></i> 
<p>
<strong>Instructions</strong>
<p>
The Visual Sticky Footer plugin is straight forward and quite simple. However, since there are a lot of options we have created a basic tutorial on how to create your first Sticky Footer.
<p/>

<strong>STEP 1:</strong> If you are reading this than you probably have already uploaded and activated the Visual Sticky Footer plugin. Currently, you should be in the Visual Sticker Footer plugin options in your Wordpress\'s Admin Settings. At the top of the Instructions page you will see the links titled "List All" and "Add New." To begin select the "Add New" link.
<p>
<i>Tip: I would right click on "Add New" and open a new tab, so that you keep these instructions, but that is just me.</i>
<p/>
<strong>STEP 2:</strong> You will be taken to the "Settings" page of your new sticky footer. Here you will create a title, turn on your sticky footer, select your site/page/post/category your sticky footer will appear on, and finally the message you would like with your bar. Be sure to update options before moving on.
<p/>
<i>Tip: You will need to to turn your sticky footer on (the check box that says "Turn Sticky Footer On") and save your savings before moving on. The bar will not appear on your site until you have activated your icons. </i>
<p/>
<strong>STEP 3:</strong> Choose your icons. You can either choose icons that have been preloaded in the plugin (go to "Icon Lists") or upload your own icons (go to, yep you guessed it, "Upload New Icons"). To have your icons display on your sticky footer you have to select "Display" in your icon mode.
<p/>
<i>Tip: When you display and save the icons your sticky footer will appear on your website. To avoid this, go back to Settings and unselect "Turn Sticky Footer On." You need to have the sticky footer turned on before choosing your icons, so that the plugin knows which sticky bar the icons are associated with. However, once you have turned on and saved the sticky footer the first time you can turn it off. This helps you to first arrange your icons before displaying them. </i>
<p/>
<strong>STEP 4:</strong> Finally, go to "Icon Arrangement" to choose the order you would like your icons to appear on your sticky footer.
<p/>

<strong>If you have questions or suggested improvements <a href="http://reallycheaphealthinsurance.com/contact">drop us a line.</a></strong></td>
		</tr></table>
		</form>';
		
		
		
		
	
	}
	
	
	
	function shoDisplaySettings()
	{
	
		global $wpdb;
		
		
		
		$selectedfId  = $_SESSION['current_selected_sf'];
		
		$footertitle = '';
		$dispsetting = '';
		$dispsettingValue = '';
		$chkStickyOn = '';
		$chkPluginCredit = '';
		$hire_message  = '';
		$hire_message_url = '';
		$hire_colour = '';
		$hire_feed = '';
		

		
		
		/*
		
		 'dispmode' => $displayMode,
				  'title' =>$_POST['txt_footertitle'],
				  'disponwhat' => $diplaySelected,
				  'hire_message' => $_POST['hire_message'],
				  'urlformesg' => $_POST['hire_message_url'],
				  'footer_color' => $_POST['hire_colour'],
				  'rssfeed' => $_POST['hire_feed'],
				  'plugin_credit' => $_POST['chkPluginCredit'],
				  'footer_on' =>$_POST['chkStickyOn']

		
		*/
		
		
		$sf_footers = $wpdb->get_results( "SELECT * FROM sf_sticky_footers WHERE id=" . $selectedfId ,ARRAY_A  );
		//echo "SELECT * FROM sf_sticky_footers WHERE id=" . $selectedfId;
		
		if(is_array($sf_footers ))
		foreach($sf_footers as $sch)
		{
			$footertitle = $sch['title'];
			$dispsetting = $sch['dispmode'];
			$dispsettingValue = $sch['disponwhat'];
			$chkStickyOn = $sch['footer_on'];
			$chkPluginCredit = $sch['plugin_credit'];
			$hire_message  =  $sch['hire_message'];
			$hire_message_url = $sch['urlformesg'];
			$hire_colour = $sch['footer_color'];
			$hire_feed = $sch['rssfeed'];
			
			
			break;
		}
		
		if($selectedfId=="" && trim($_POST['Submit_dispOptions']) !="")
		{
		
			$footertitle = $_POST['txt_footertitle'];
			$dispsetting = $_POST['rdoClosureMode'];
			$dispsettingValue = $_POST['ddlOption_cs'];
			$chkStickyOn = $_POST['chkStickyOn'];
			$chkPluginCredit = $_POST['chkPluginCredit'];
			$hire_message  = $_POST['hire_message'];
			$hire_message_url = $_POST['hire_message_url'];
			$hire_colour = $_POST['hire_colour'];
			$hire_feed = $_POST['hire_feed'];

		}
		
		
		$wtravel_site = "";
		$wtravel_post = "";
		$wtravel_category = "";
		$wtravel_page = "";
		$checked_chkStickyOn = "";
		$checked_chkPluginCredit = '';
		
		
		if($dispsetting == "Site")
		{
			$wtravel_site = 'checked="checked"';
		
		}else if($dispsetting == "Page")
		{
			$wtravel_page = 'checked="checked"';		
		
		}else if($dispsetting == "Post")
		{
		
			$wtravel_post = 'checked="checked"';		
		
		}else if($dispsetting == "Category")
		{
		
			$wtravel_category = 'checked="checked"';		
		
		}
		if($chkStickyOn  == "On")
		{
		
			$checked_chkStickyOn = 'checked="checked"';		

		}
		if($chkPluginCredit == "On" || $_GET['action'] == "addnewfooter")
		{
		
			$checked_chkPluginCredit = 'checked="checked"';		

		}
		

		echo '
		<form name="frmDisplayoptions" method="post">
		<div style="clear:both;"><h3>Display Settings</h3></div>
			<table class="form-table"> ';
		if(trim($this->sfooter_update_error ) != "" )
		{
			
			echo "<div id='message' class='error' style='min-height:5px;padding:5px;'>";
			echo $this->sfooter_update_error;
			echo "</div>";

		}
		if(trim($this->successMesgDispSettings ) != "")
		{
			
			echo "<div id='message' class='updated' style='min-height:5px;padding:5px;'>";
			echo $this->successMesgDispSettings ;
			echo "</div>";

		}
			
	
			
		echo '
		<tr>
			<td style="width:275px;">Sticky Footer Title</td>
			<td><input type="text" name="txt_footertitle" value = "'. $footertitle . '" /> </td>
		</tr>	
		<tr>
			<td>Turn Sticky Footer On </td>
			<td><input type="checkbox" name="chkStickyOn" value = "On" '. $checked_chkStickyOn .' /><span style="color: #ff0000;"><i> This must be selected and options saved before choosing icons. <br>The sticky footer will not display on your site until icons are activated.</i></span></td>
		</tr>		
		<tr valign="top"> 
		<td scope="row">Display Mode</td> 
		<td>
		<input type="radio" name="rdoClosureMode"  id="rdoClosureMSite"  '.$wtravel_site.' value="Site"   onclick ="wtravel_getOptionvalues(this);" > Site Wide <br>
	
		<input type="radio" name="rdoClosureMode" id="rdoClosureMPost" value="Post" '.$wtravel_post.' onclick ="wtravel_getOptionvalues(this);" > Post <br>
	
		<input type="radio" name="rdoClosureMode" id="rdoClosureMCategory" value="Category"  '.$wtravel_category.'  onclick ="wtravel_getOptionvalues(this);" > Category <br>
		
		<input type="radio" name="rdoClosureMode"  id="rdoClosureMPage" value="Page" '.$wtravel_page.'  onclick ="wtravel_getOptionvalues(this);" > Page
		
		
		<span class="description" style="margin-left:50px !important;"></span></td> 
		</tr>
		<tr valign="top" id="trDependanrTrcs" > 
		<td scope="row" id="lblSelect_cs" ></td> 
		<td id="td_cs_Options">'.
		
		
		$this->display_closeMode_options($dispsetting,$dispsettingValue )
		
		.'</td> 
		</tr> 
		</table>';
		
		?>
		
		
		<h3>Message Settings</h3>
		<table class="form-table">
			<tr>
				<td colspan="2">You can have messages appear on the top left corner of your sticky footer. Messages can either be a custom message you enter in the Text Message field below or you can add a RSS Feed (also below), which displays the latest post in your feed. However, you are not able to use both types of messages (if both fields are entered the RSS Feed will be the default showing).</td>
			
			</tr>
			<tr valign="top">
			<td scope="row"><?php _e('Text Message'); ?></td>
			<td><input type="text" name="hire_message" value="<?php echo htmlentities(stripslashes($hire_message)); ?>" size="75" /></td>
			</tr>
			<tr valign="top">
			<td scope="row"><?php _e('Url for above Text Message'); ?></td>
			<td><input type="text" name="hire_message_url" value="<?php echo htmlentities(stripslashes($hire_message_url)); ?>" size="75" /></td>
			</tr>
			<tr valign="top">
			<td scope="row"><?php _e('Sticky Footer Hex <br> Color Code Generator');?></td>
			<td>
			<p><input type="text" maxlength="6" size="6" name="hire_colour" id="colorpickerField1" value="<?php echo  htmlentities(stripslashes($hire_colour)); ?>" /> <span style="font-size: x-small;">Customizes the color of your sticky footer bar. Click inside text box for more color options. <br><span style="color: #ff0000;"><i>Note: If you do not enter in a color hex code your sticky footer bar will appear transparent.</i></span></span></p> 

		<!-- 	<input type="text" name="hire_colour" value="<?php echo  htmlentities(stripslashes(get_option('hire_colour'))); ?> " size="75"/> -->
		
		
		</td>
		
			</tr>
			<tr valign="top">
			<td scope="row"><?php _e('RSS Feed'); ?></td>
			<td>
				<input type="text" name="hire_feed" value="<?php echo htmlentities(stripslashes($hire_feed)); ?>" size="75" />
				<br />
			You can enter your RSS Feed URL and the first item will be displayed.
			</td>
			</tr>
			<tr valign="top">
			<td scope="row"><?php _e('Plugin Credit'); ?></td>
			<td>
				<input type="checkbox" name="chkPluginCredit" value = "On" <?php echo $checked_chkPluginCredit;?>  /> A link supporting the plugin will appear on your sticky footer when checked. You are <br> not required to display our link, but it sure would be nice of you Ü</td>
			</tr>

		</table>
		<?php
		
		//<input type="submit" name="Submit_dispOptions" class="button-primary" value=" Save " /> 
		
		if($_SESSION['current_selected_sf'] != "")
			echo '<input type="hidden" name="sf_hid_footerid" value="'. $_SESSION['current_selected_sf'] .'" >';
		
		echo '<p class="submit"> 
		<span style="float:left;margin-right:10px;">
		
		<input type="submit" name="Submit_dispOptions" value="Update Options &raquo;" />
		
		</span> <span style="float:left;"><a class="preview button" href="options-general.php?page=sticky-footer&action=list&cat=Bus" id="post-preview" tabindex="4">Original Settings</a> </span>
		</p> 
		
		</form>
		
		';
	
	}
	


function my_action_javascript()

{

//ECHO 	"----".plugins_url()."------";
?>
	
	<link rel="stylesheet" href="<?php echo plugins_url().'/sticky-footer/css/colorpicker.css';?>" type="text/css" />
    <script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/jquery.js';?>"></script>
	<script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/colorpicker.js';?>"></script>
    <script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/eye.js';?>"></script>
    <script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/utils.js';?>"></script>
    <script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/layout.js?ver=1.0.2';?>"></script>


	<link type="text/css" href="<?php echo plugins_url().'/sticky-footer/css/ui-lightness/jquery-ui-1.8.2.custom.css'; ?>" rel="stylesheet" /> <!-- -->
	<script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/jquery-1.4.2.min.js'; ?>"></script><!---->
	<script type="text/javascript" src="<?php echo plugins_url().'/sticky-footer/js/jquery-ui-1.8.2.custom.min.js'; ?>"></script> 
	<script>
		jQuery(document).ready(function() 
		{
			
		
				// Tabs
				jQuery('#tabs_wtravel').tabs();
				
				//hover states on the static widgets
				jQuery('#dialog_link, ul#icons li').hover(
					function() { $(this).addClass('ui-state-hover'); }, 
					function() { $(this).removeClass('ui-state-hover'); }
				);
				
			//jQuery(function(){});
			
		});
		
	</script>
	
	<style type="text/css">
			/*demo page css*/
			/*body{ font: 62.5% "Trebuchet MS", sans-serif; margin: 50px;}*/
			.demoHeaders { margin-top: 2em; }
			#dialog_link {padding: .4em 1em .4em 20px;text-decoration: none;position: relative;}
			#dialog_link span.ui-icon {margin: 0 5px 0 0;position: absolute;left: .2em;top: 50%;margin-top: -8px;}
			ul#icons {margin: 0; padding: 0;}
			ul#icons li {margin: 2px; position: relative; padding: 4px 0; cursor: pointer; float: left;  list-style: none;}
			ul#icons span.ui-icon {float: left; margin: 0 4px;}
			
			.stickyfooter_donatebox {
				background-color:#EEEEEE;
				border-color:gray;
			}

			.stickyfooter_donatebox {
				-moz-border-radius:3px 3px 3px 3px;
				border-style:solid;
				border-width:1px;
				margin:5px 15px 10px;
				padding:0 0.6em;
			}
		</style>	

	<!---->
<script type="text/javascript">

	function wtravel_getSoptions(ctrl)
	{
	
		var data = {
			action: 'cs_get_closeSchedule_options',
			selectedItem: ctrl.value
		};
		
		var SelectedItem = ctrl.value;
		
		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			
			//alert(SelectedItem);
			
			var td_cs_Soptions =  document.getElementById("td_cs_Soptions");
			var lblSelect_soptions = document.getElementById("lblSelect_soptions");
			
			td_cs_Soptions.innerHTML = response;
			
			
		
		});
	
	
	
	
	}
	
	function wtravel_getOptionvalues(ctrl)
	{
		var data = {
			action: 'wtravel_get_DisplayMode_options',
			selectedItem: ctrl.value
		};
		
		var SelectedItem = ctrl.value;
		
		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			
			//alert(SelectedItem);
			
			var td_cs_Options =  document.getElementById("td_cs_Options");
			var lblSelect_cs = document.getElementById("lblSelect_cs");
			var trDependanrTrcs = document.getElementById("trDependanrTrcs");
			
			td_cs_Options.innerHTML = response;
			
			if(trDependanrTrcs.style)
			{
				trDependanrTrcs = trDependanrTrcs.style;	
			}
			
			/*if(SelectedItem != "Site")
			{
				
				trDependanrTrcs.display = "block"  ;
					
			}else
			{
				trDependanrTrcs.display = "none"  ;
			
			}*/
			
			lblSelect_cs.innerHTML = "Select ";
			
			if(SelectedItem == "Site")
			{
				lblSelect_cs.innerHTML = "";	
			
			}
			
		
		});
	
	
	}
	
</script>
<?php

}

function get_displayMode_options_callback() {
	
	global $wpdb; // this is how you get access to the database

	$selectedItem = $_POST['selectedItem'];
	if($selectedItem == "Category")
	{
		 $args = array(
			 'hide_empty'               => 0,
		  );

		  $categories = get_categories( $args );
		  
		  $dropdownList = '<select name="ddlOption_cs" > ';
		  foreach ($categories as $cat)
		  {
		  	$dropdownList .= '<option value="'.$cat->cat_ID.'" >'.$cat->name.'</option>';
			
		  
		  }
		  $dropdownList .= '</select>';
		  echo $dropdownList;
	}else if($selectedItem == "Post")
	{
		
		 $args = array(
			 
		  );

		 $posts = get_posts('');
		 
		  		  
		  $dropdownList = '<select name="ddlOption_cs" > ';
		  foreach ($posts as $post)
		  {
		  	$dropdownList .= '<option value="'.$post->ID.'" >'.$post->post_title.'</option>';
			
		  
		  }
		  $dropdownList .= '</select>';
		  echo $dropdownList;
	}else if( $selectedItem == "Page" )
	{
		$args = array(
		'child_of' => 0,
		'sort_order' => 'ASC',
		'sort_column' => 'post_title',
		'hierarchical' => 1,
		/*'exclude' => ,
		'include' => ,
		'meta_key' => ,
		'meta_value' => ,
		'authors' => ,*/
		'parent' => -1,
		//'exclude_tree' => ,
		//'number' => ,
		'offset' => 0 );
		
		
		$pgeslist =  get_pages($args); 
		$dropdownList = '<select name="ddlOption_cs" > ';
		foreach ($pgeslist as $page)
		{
		$dropdownList .= '<option value="'.$page->ID.'" >'.$page->post_title.'</option>';
		
		
		}
		$dropdownList .= '</select>';
		echo $dropdownList;
		
		
	}

	die();
}

function display_closeMode_options($selectedItem, $select) {
	
	
	if($selectedItem == "Category")
	{
		 $args = array(
			 'hide_empty'               => 0,
		  );

		  $categories = get_categories( $args );
		  
		  $dropdownList = '<select name="ddlOption_cs" > ';
		  foreach ($categories as $cat)
		  {
		  	if($select == $cat->cat_ID)
			{
		  		$dropdownList .= '<option value="'.$cat->cat_ID.'" selected>'.$cat->name.'</option>';
			}else
			{
				$dropdownList .= '<option value="'.$cat->cat_ID.'" >'.$cat->name.'</option>';
			}	
			
		  
		  }
		  $dropdownList .= '</select>';
		  return  $dropdownList;
	}else if($selectedItem == "Post")
	{
		
		 $args = array(
			 
		  );

		 $posts = get_posts('');
		 
		  		  
		  $dropdownList = '<select name="ddlOption_cs" > ';
		  foreach ($posts as $post)
		  {
		  	
			if($select == $post->ID)
			{
				$dropdownList .= '<option value="'.$post->ID.'" selected >'.$post->post_title.'</option>';
			}else
			{
				$dropdownList .= '<option value="'.$post->ID.'" >'.$post->post_title.'</option>';
			
			}
			
		  
		  }
		  $dropdownList .= '</select>';
		  return  $dropdownList;
	}else if( $selectedItem == "Page" )
	{
		$args = array(
		'child_of' => 0,
		'sort_order' => 'ASC',
		'sort_column' => 'post_title',
		'hierarchical' => 1,
		/*'exclude' => ,
		'include' => ,
		'meta_key' => ,
		'meta_value' => ,
		'authors' => ,*/
		'parent' => -1,
	//	'exclude_tree' => ,
		//'number' => ,
		'offset' => 0 );
		
		
		$pgeslist =  get_pages($args); 
		$dropdownList = '<select name="ddlOption_cs" > ';
		foreach ($pgeslist as $page)
		{
			if($select == $page->ID)
			{
				$dropdownList .= '<option value="'.$page->ID.'" selected >'.$page->post_title.'</option>';
			}else
			{
				$dropdownList .= '<option value="'.$page->ID.'" >'.$page->post_title.'</option>';
			}
		
		}
		$dropdownList .= '</select>';
		return  $dropdownList;
		
	}
	

}

	function deleteIcon($iid)
	{
	
		global $wpdb; 
		
		$sqlgeticonslist= "SELECT * FROM wp_travel_icons WHERE id = '". $iid  ."'";
		$listall=$wpdb->get_results($sqlgeticonslist,ARRAY_A);

		if(@is_array($listall) && count($listall) > 0 )
		{
			unlink(dirname(__FILE__). "/icons/".$iid."_".$listall[0]['image_icon']);
			$wpdb->query("DELETE FROM wp_travel_icons WHERE id = '". $iid  ."' ");
			
			$wpdb->query("DELETE FROM sfooters_footer_icons WHERE icon_id = ".$iid  );
					

			
		}

	}
	
	
	function deleteStickyFooter($fid)
	{
		global $wpdb; 
		$wpdb->query("DELETE FROM sf_sticky_footers WHERE id = '". $fid  ."' ");
		$wpdb->query("DELETE FROM sfooters_footer_icons WHERE footer_id = ".$fid  );
	}
//-------------------------------------------------- ADMIN GUI FUNCTIONS END--------------------------------------	
		
	//-------------------==================== front end display functions START =============-------------------------
//	http://localhost/mywp_test/wp-admin/options-general.php?page=sticky-footer&action=delete&iid=15
	function displayTravellersBar()
	{
	
		//echo "Session:".$_SESSION['current_selected_sf'] ."-----";
		
		//echo "asdsadsa";
		if (!current_user_can('manage_options'))  {
		    wp_die( __('You do not have sufficient permissions to access this page.') );
		 }
		
		$this->showMasterMenu();
		if(($_GET['action'] != 'listfooters' ) && ($_GET['action'] != 'instructions' )&& ($_GET['action'] != "") )
		{
			$this->showTopHeader();
		}	
		
		
		if($_GET['action'] == 'dispsettings')
		{
			if($_GET['fid']!=""  )
			{
				$_SESSION['current_selected_sf'] = $_GET['fid'];
			}
			$this->shoDisplaySettings();
		
		
		}else if($_GET['action'] == 'addnew')
		{
		
			$this->displayAddNewIconsForm();
		
		}else if($_GET['action'] == 'list' )
		{
			$this->displayIconsList($_GET['cat']);
			
		}else if($_GET['action'] == 'delete')
		{
		
			$fid =  $_GET['fid'];
			$this->deleteStickyFooter($fid);
			$_SESSION['current_selected_sf'] = '';
			$this->display_sticky_footers_list();
			
					
		}else if($_GET['action'] == 'order')
		{
			
			$this->displayOrderIconForm();
			
		
		}else if($_GET['action'] == 'listfooters')
		{
			
			$_SESSION['current_selected_sf'] = '';
			
			$this->display_sticky_footers_list();
		
		}else if($_GET['action'] == 'addnewfooter')
		{
			$_SESSION['current_selected_sf'] = '';
			$this->shoDisplaySettings();

		
		}else if($_GET['action'] == 'instructions')
		{
			$_SESSION['current_selected_sf'] = '';
			$this->shoInstructionsPage();
		
		
		
		
		}
		else if( $_GET['action'] == '')
		{
			$_SESSION['current_selected_sf'] = '';
			$this->display_sticky_footers_list();
		}

		//echo "SESS:" . $_SESSION['current_selected_sf'] ."==== ";

	}
	
function display_sticky_footers_list() {

  global $wpdb;  
  //$cs_schedules = $wpdb->get_results( "SELECT * FROM sf_sticky_footers" );
    
  echo '<div class="wrap">
	<br>
  
 	<div class="tablenav">
<br class="clear" />
</div>
	<table class="widefat fixed" cellspacing="0">
	<thead>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""></th>
	<th scope="col" id="title" class="manage-column column-name" style="">Title</th>
	<th scope="col" id="closure_mode" class="manage-column column-description" style="">Display Mode</th>
	<th scope="col" id="closee_id" class="manage-column column-slug" style="">ID </th>
	
	</tr>
	</thead>

	<tfoot>
	<tr>
	<th scope="col" id="cb" class="manage-column column-cb check-column" style=""></th>
	<th scope="col" id="title" class="manage-column column-name" style="">Title</th>
	<th scope="col" id="closure_mode" class="manage-column column-description" style="">Display Mode</th>
	<th scope="col" id="closee_id" class="manage-column column-slug" style="">ID </th>

	</tr>
	</tfoot>

		<tbody id="the-list" class="list:cat">';
		//take the data from the database and loop it to display 
		$sf_footers = $wpdb->get_results( "SELECT * FROM sf_sticky_footers",ARRAY_A  );
		if(is_array($sf_footers ))
		foreach($sf_footers as $sch)
		{
			echo '<tr id="cat-1" class="iedit alternate">
			<th scope="row" class="check-column"></th>
			<td class="name column-name">
				<a class="row-title" href="options-general.php?page=sticky-footer&action=dispsettings&fid='.$sch['id'] .'"> '. 
				$sch['title']
				.'</a>
				<br />
				<div class="row-actions">
					<span class="edit"><a href="options-general.php?page=sticky-footer&action=dispsettings&fid='.$sch['id'] .'">Edit</a> | </span>
					<span class="inline hide-if-no-js"><a href="options-general.php?page=sticky-footer&action=delete&fid='.$sch['id'] .'" class="editinline" onclick="javascript: return confirm(\'Are you sure to delete this Visual Sticky Footer ?\');">Delete</a></span>
				</div>
				<div class="hidden" id="inline_1">
					<div class="name">'. 
				$sch['title']
				.'</div>
					<div class="slug">'. 
				$sch['dispmode']
				.'</div>
					<div class="cat_parent">0</div>
				</div>
			</td>
			<td class="description column-description">'. $sch['dispmode'] .'</td>
			<td class="slug column-slug">'. $sch['disponwhat'] .'</td>

			
			
		</tr>';
		
		}
		
	echo '</tbody>
</table></div>';

 
   

}

	

	
		
	function display_available_for_hire()
	{
		global $wpdb,$post;
		
		//######################################################
		$showWtravelBar = false;
				
		/*$dispsetting =get_option('wtravel_dispsetting');
		$dispsettingValue =get_option('wtravel_dispOnWhat');
		$chkStickyOn = get_option('wtravel_chkStickyOn');
		*/
				
		
		$sf_footers = NULL;
		
		// take all the footers and see if there is page
		//if is page , then take all the footers with the page settings and then 
		
		$fieldList  = "sf.id,sf.dispmode, sf.title, 	sf.disponwhat, 	sf.hire_message, 	sf.urlformesg, 	sf.footer_color, 	sf.rssfeed, 	sf.plugin_credit, 
			sf.footer_on, fi.icon_id ,fi.footer_id 	,fi.iconorder 	,fi.iconurl 	,fi.message ";	

		if(is_page())
		{
			
			$pageId = $post->ID;
			$sf_footers = $wpdb->get_results( "SELECT ". $fieldList . " FROM sf_sticky_footers  sf JOIN sfooters_footer_icons fi ON sf.id=fi.footer_id WHERE dispmode = 'Page' AND footer_on= 'On' AND disponwhat = ".$pageId, ARRAY_A  );
			
			 
		}else if(is_single())
		{
			
			
			$postId = $post->ID;
				
			$sf_footers = $wpdb->get_results( "SELECT ". $fieldList . " FROM sf_sticky_footers  sf JOIN sfooters_footer_icons fi ON sf.id=fi.footer_id WHERE dispmode = 'Post' AND footer_on= 'On' AND disponwhat=".$postId, ARRAY_A  );
			
			
			if(!is_array($sf_footers) || @count($sf_footers) <=0)
			{

				$category = get_the_category( $postId );
				$categoryId  = $category[0]->cat_ID;
				//echo $categoryId;
				$sf_footers = $wpdb->get_results( "SELECT ". $fieldList . " FROM sf_sticky_footers  sf JOIN sfooters_footer_icons fi ON sf.id=fi.footer_id WHERE dispmode = 'Category' AND footer_on= 'On' AND disponwhat=".$categoryId , ARRAY_A  );
				
			}
			
			
		
		}else if( is_category())
		{	



			$categoryId =  get_query_var('cat');
			
		
			$sf_footers1 = $wpdb->get_results( "SELECT ". $fieldList . " FROM sf_sticky_footers sf JOIN sfooters_footer_icons fi ON sf.id=fi.footer_id WHERE sf.dispmode = 'Category' AND footer_on= 'On' AND disponwhat = ".$categoryId ,ARRAY_A  );

			if( is_array($sf_footers1 ) && @count($sf_footers1) > 0 )
			{
				

				$sf_footers = $sf_footers1;
				
			}	
				
				
					
		}
		
		if(!is_array($sf_footers ) || @count($sf_footers) <= 0)
		{
			//echo "---------------Site -------------------";
			$sf_footers = $wpdb->get_results( "SELECT ". $fieldList . " FROM sf_sticky_footers  sf JOIN sfooters_footer_icons fi ON sf.id=fi.footer_id WHERE dispmode = 'Site'  AND footer_on= 'On'",ARRAY_A  );
					
		}
		
		//print_r($sf_footers)."-----";
			
		$feedURL = '';
		$dispsetting = '';
		$dispsettingValue = '';
		$chkStickyOn = '';
		$feedItemLink = '';
		$chkPluginCredit = '';
		$hire_message_url = '';
		$hire_message = '';
		$hire_colour = '';
		$currentfooter = '';
		
		
		
		if(is_array($sf_footers ))
		foreach($sf_footers as $sch)
		{
			
			$dispsetting =$sch['dispmode'];
			$dispsettingValue = $sch['disponwhat'];
			$chkStickyOn = $sch['footer_on'];
			$feedURL = $sch['rssfeed'];
			$chkPluginCredit = $sch['plugin_credit'];
			$hire_message_url =  $sch['urlformesg'];
			$hire_message = $sch['hire_message'];
			$hire_colour =  $sch['footer_color'];
			$currentfooter = $sch['id'];
			
			$showWtravelBar = true;
			//echo "--------- Got inside ----------";
			break;
		}
		
		if($chkStickyOn != "On") // dont display if the sticky footer is makde off 
			$showWtravelBar = false;
			
		if(!$showWtravelBar)
			return;
		
	
		//#######################################################
		
		//$feedURL = get_option('hire_feed');
	
		if (!empty($feedURL))
		{
	
			require_once dirname(__FILE__).'/parser/lastRSS.php';
			$rss = new lastRSS;
	
			$rss->cache_dir = dirname(__FILE__).'/parser';
			$rss->cache_time = 86400; // one day
	
			$result = $rss->get($feedURL);
	
	
			if (isset($result['items']) && isset($result['items'][0]))
			{
				if (!empty($result['items'][0]['title']) && !empty($result['items'][0]['link']))
				{
					$feedItemLink = "<a href='{$result['items'][0]['link']}'>{$result['items'][0]['title']}</a>";
				}
			}
		}
		
		
		$pluginCreditlink  = "";
		if($chkPluginCredit == "On")
			$pluginCreditlink  = 'Developed by <a href="http://reallycheaphealthinsurance.com" >Affordable Health Insurance</a>';			
		
		
		$DisplayMessage = empty($feedItemLink) ? '<a href="'.stripslashes($hire_message_url).'">'.stripslashes($hire_message).'</a>' : $feedItemLink;
		
		// Display style
		echo '<style type="text/css">
		#banner {background: url('.get_option('home').'/wp-content/plugins/sticky-footer/images/bar_bg.png) left top repeat-x; left:0px; bottom:0px; margin:0px; position:fixed; width:100%; font-family:"Lucida Grande","Trebuchet MS",Verdana,sans-serif;
				background-color:#'.$hire_colour.';
		}
		#banner a {color: #F8F4D9 !important;}
		#banner .right {padding: 10px 10px 0px; overflow: hidden; clear:both;}
		#banner .right img {border: 0px}
		#banner .right img.full {height: 40px;}
		#banner .iconbox {float: right; margin-left: 10px; font-size: 12px;}
		#banner .inner {padding: 0px 5px 2px; font-size:20px; text-align: left; color: #F8F4D9;}
		
		
		
		
		</style>';
		
		// Display banner style="display:none;"style="display:none;"
		echo '
			<script>
				function togleTravelBar(mode)
				{
					
					var wtravelInner = document.getElementById("wtravelInner");
					var wtravelRight = document.getElementById("wtravelRight");

					if(wtravelInner.style)
						wtravelInner = wtravelInner.style;
						
					if(wtravelRight.style)
						wtravelRight  = wtravelRight.style;
						
						
					if(mode=="min")
					{
						wtravelRight.display =  "none";	
						wtravelInner.display =  "none";
						
					}else if(mode=="max")
					{
						wtravelRight.display =  "block";	
						wtravelInner.display =  "block";

					}else if(mode=="close")
					{
						
					
					}
				
				}
			</script>
			<div style="height:75px;clear:both;">&nbsp;
</div>
			&nbsp;
			<div id="banner">
			<div style="margin-top:-25px;margin-right:0px;float:right;"><img src="'.get_option('home').'/wp-content/plugins/sticky-footer/images/close_button1.png" border="0" usemap="#Map"></div>
				  <map name="Map">
 					 <area shape="rect" coords="15,6,34,20" href="#" onclick="togleTravelBar(\'min\');"  title="Minimize Sticky Footer"  >
					  <area shape="rect" coords="35,7,53,19" href="#" onclick="togleTravelBar(\'close\');" >
					  <area shape="rect" coords="55,7,74,21" href="#" onclick="togleTravelBar(\'max\');"   title="Show Sticky Footer" >
					</map>
			<div class="inner" id="wtravelInner" >' . $DisplayMessage . '<span  style="float:right; color:white; font-size:12px;  clear:both;">'.$pluginCreditlink .'</span></div>
			
			<div class="right" id="wtravelRight" >
			
			';
				
		// Display skills logo
		//$specialities = split("\+", get_option('hire_specialities'));
		$sqlgeticonslist = "SELECT fi.iconurl,fi.message, ti.image_icon,ti.id ,fi.footer_id as footer_id , ti.id ".					
							"FROM wp_travel_icons ti JOIN sfooters_footer_icons fi ON ti.id = fi.icon_id AND footer_id = ".$currentfooter." ORDER BY fi.iconorder  DESC";
				
					
		//echo $sqlgeticonslist ;
		//$sqlgeticonslist= "SELECT * FROM wp_travel_icons WHERE active=1 order by iconorder desc";
		$listall = $wpdb->get_results($sqlgeticonslist,ARRAY_A);
					
		if(is_array($listall))
		foreach($listall as $icon=>$value) 
		{
			
			print '<div class="iconbox">
					<a href="'.$listall[$icon]['iconurl'].'">
						<img src="'.get_option('home').'/wp-content/plugins/sticky-footer/icons/'.$listall[$icon]['id']."_".$listall[$icon]['image_icon'].'"  class="full" border="0">
						<br />' . $listall[$icon]['message'] . '
					</a>
				  </div>
				  
				  ';
	
		} 
							
	/*
		foreach($specialities as $speciality) :
			print '<div class="iconbox">
					<a href="'.$hire_specialities_icons[$speciality]['url'].'">
						<img src="'.get_option('home').'/wp-content/plugins/word-travel/logos/'.$speciality.'.gif" alt="'.$hire_specialities_icons[$speciality]['text'].'" class="full" border="0">
						<br />' . $hire_specialities_icons[$speciality]['text'] . '
					</a>
				  </div>';
		endforeach;
	*/	
	
		echo '</div>
		</div>';
	}
	
	function apply_closed_sunday_post_schedules($thecontent)
	{
	
		global $post;
		global  $wpdb;
		
				
		if(is_page($post->ID))
		{
			//echo "PAGE ...............";
			$cs_schedules = $wpdb->get_results( "SELECT id, sh_title, closure_mode, closee_id, sh_message, schedule_mode, sh_time, day_of_week, sh_date, close_date, 
			duration FROM csun_schedules WHERE closure_mode = 'Page' and closee_id= $post->ID", ARRAY_A  );
		
		 
		}else //if(is_page($post->ID))
		{
					
			
		}
		
	}	
	//-------------------==================== front end display functions END ==============--------------------------
	



	function RegisterPluginOptionsPage() {	// Add a menu item to the "Settings" area in the WP administration
		add_action('admin_menu', array(&$this, 'add_action_admin_menu_PluginMenuItem'));
	}
	
	function add_action_admin_menu_PluginMenuItem() {
		
		add_options_page("Sticky Footer", "Sticky Footer", 'manage_options',"sticky-footer", array(&$this, 
		'displayTravellersBar'));
		
		// Add link "Settings" to the plugin in /wp-admin/plugins.php
		global $wp_version;
		if ( version_compare($wp_version, '2.7', '>=' ) ) {
			add_filter( 'plugin_action_links_sticky-footer/sticky-footer.php', array(&$this, 'add_filter_plugin_action_links') );
		}
	}
	
	function add_filter_plugin_action_links($links) {
		$settings_link = '<a href="'.$this->GetPluginOptionsURL().'">' . __('Settings') . '</a>';
		array_push($links, $settings_link);
		return $links;
	}

	
	

	function GetPluginOptionsURL() {
		if (function_exists('admin_url')) {	// since WP 2.6.0
			$adminurl = trailingslashit(admin_url());			
		} else {
			$adminurl = trailingslashit(get_settings('siteurl')).'wp-admin/';
		}
			return $adminurl.'options-general.php'.'?page=sticky-footer';		
	}


}

//######################################################################################

if( !isset($objTbar )  ) {
	
	// Create a new instance of your plugin that utilizes the WordpressPluginFramework and initialize the instance.
	$objTbar = new Sticky_Footer();
	$objTbar->initialize();
	
}



?>